## goiardi 0.11.10

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/goiardi.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/goiardi.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/goiardi"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/goiardi"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## goiardi 0.11.0+git20161112.21.1cd076a

=== debian/changelog ===
goiardi (0.11.0+git20161112.21.1cd076a-2) unstable; urgency=medium

  * Split out gocode files out to a new binary package
    golang-github-ctdk-goiardi, so they can be used by other sources
    without installing goiardi itself.
  * Add usr/share/gocode/src/github.com/ctdk/goiardi/authentication/go-chef
    to not-installed and exclude it on the call to dh_install. These libs
    are an internal fork of go-chef/chef with the sole intention of making
    authentication tests pass, avoiding a circular dependency between
    go-chef/chef and goiardi. We don't want/need to distribute this copy,
    which should be available in the package it originates from.
  * Remove the goiardi system user/group on purge.
  * Change goiardi's source and binary section to "admin".

 -- Jordi Mallach <jordi@debian.org>  Sun, 13 Nov 2016 02:01:00 +0100

goiardi (0.11.0+git20161112.21.1cd076a-1) unstable; urgency=medium

  * Initial release (closes: #843969).

 -- Jordi Mallach <jordi@debian.org>  Sun, 13 Nov 2016 00:21:59 +0100

=== debian/control ===
Source: goiardi
Section: admin
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Jordi Mallach <jordi@debian.org>
Build-Depends: debhelper (>= 10),
               dh-golang,
               golang-go,
               golang-github-burntsushi-toml-dev,
               golang-github-datadog-datadog-go-dev,
               golang-github-armon-go-metrics-dev,
               golang-github-aws-aws-sdk-go-dev,
               golang-github-ctdk-chefcrypto-dev,
               golang-github-ctdk-go-trie-dev,
               golang-github-go-ini-ini-dev,
               golang-github-go-sql-driver-mysql-dev,
               golang-github-hashicorp-errwrap-dev,
               golang-github-hashicorp-go-msgpack-dev,
               golang-github-hashicorp-go-multierror-dev,
               golang-github-hashicorp-go-version-dev,
               golang-github-hashicorp-logutils-dev,
               golang-github-hashicorp-memberlist-dev,
               golang-github-hashicorp-serf-dev,
               golang-github-jmespath-go-jmespath-dev,
               golang-github-lib-pq-dev,
               golang-github-miekg-dns-dev,
               golang-github-pborman-uuid-dev,
               golang-github-philhofer-fwd-dev,
               golang-github-pmylund-go-cache-dev,
               golang-github-raintank-met-dev,
               golang-github-tideland-golib-dev,
               golang-github-tinylib-msgp-dev,
               golang-go-flags-dev
Build-Depends-Indep: python3-sphinx
Standards-Version: 3.9.8
Homepage: https://github.com/ctdk/goiardi
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/goiardi.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/goiardi.git
XS-Go-Import-Path: github.com/ctdk/goiardi

Package: goiardi
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         adduser
Suggests: postgresql | default-mysql-server
Description: Chef server written in Go
 Goiardi is an implementation of the Chef server written in Go. It can either
 run entirely in memory with the option to save and load the in-memory data
 and search indexes to and from disk, drawing inspiration from chef-zero, or
 it can use MariaDB/MySQL or PostgreSQL as its storage backend.

Package: golang-github-ctdk-goiardi-dev
Section: devel
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: postgresql | default-mysql-server
Description: Golang library to interact with a chef server
 Goiardi is an implementation of the Chef server written in Go. It can either
 run entirely in memory with the option to save and load the in-memory data
 and search indexes to and from disk, drawing inspiration from chef-zero, or
 it can use MariaDB/MySQL or PostgreSQL as its storage backend.
 .
 This package contains the goiardi golang libs that are useful to interact with
 a chef server.

Package: goiardi-doc
Section: doc
Architecture: all
Built-Using: ${misc:Built-Using}
Depends: ${misc:Depends}
Suggests: libjs-sphinxdoc, libjs-mathjax
Enhances: goiardi
Description: Documentation for Goiardi
 Goiardi is an implementation of the Chef server written in Go. It can either
 run entirely in memory with the option to save and load the in-memory data
 and search indexes to and from disk, drawing inspiration from chef-zero, or
 it can use MariaDB/MySQL or PostgreSQL as its storage backend.
 .
 This is sphinx-generated full documentation for the Goiardi Chef server.

## goiardi 0.11.0.1

=== debian/changelog ===
goiardi (0.11.0.1-2) unstable; urgency=medium

  * Remove /var/lib/goiardi and /etc/goiardi/*.pem on purge (closes: #847354).

 -- Jordi Mallach <jordi@debian.org>  Wed, 21 Dec 2016 18:08:58 +0100

goiardi (0.11.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Jordi Mallach <jordi@debian.org>  Tue, 20 Dec 2016 01:34:44 +0100

goiardi (0.11.0+git20161112.21.1cd076a-3) unstable; urgency=medium

  * Switch all dependencies on golang-go to golang-any, as suggested by
    Martín Ferrari.
  * Add missing dependencies to golang-github-ctdk-goiardi.

 -- Jordi Mallach <jordi@debian.org>  Thu, 17 Nov 2016 11:13:37 +0100

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_build-indep:
	$(MAKE) -C docs html

override_dh_install:
	dh_install --fail-missing --exclude=go-chef

## goiardi 0.11.2

=== debian/changelog ===
goiardi (0.11.2-2) unstable; urgency=medium

  * Remove /var/log/goiardi on purge as well (really closes: #847354).
  * Add databag_duplicate_field_crash.patch: cherrypick a fix for a server
    crash when handling objects with duplicate items in an array.

 -- Jordi Mallach <jordi@debian.org>  Thu, 30 Mar 2017 02:51:02 +0200

goiardi (0.11.2-1) unstable; urgency=medium

  * New upstream release.
  * Pass -tags novault to build and test targets to avoid building code that
    requires the non-available vault libs.
  * Add avoid_vault_import.patch to remove a vault import that makes
    dh_golang error out.
  * Add Files-Excluded to copyright file to exclude vendor and packaging bits.

 -- Jordi Mallach <jordi@debian.org>  Tue, 17 Jan 2017 11:24:59 +0100

=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,14 @@
 %:
 	dh $@ --buildsystem=golang --with=golang
 
+override_dh_auto_build-arch:
+	dh_auto_build -- -tags novault
+
 override_dh_auto_build-indep:
 	$(MAKE) -C docs html
 
+override_dh_auto_test:
+	dh_auto_test -- -tags novault
+
 override_dh_install:
 	dh_install --fail-missing --exclude=go-chef

=== debian/watch ===
version=3

 https://github.com/ctdk/goiardi/releases \
 .*/archive/v?(\d[\d\.]+)\.tar\.gz

## goiardi 0.11.3

=== debian/changelog ===
goiardi (0.11.3-1) unstable; urgency=medium

  * New upstream release.
  * Drop databag_duplicate_field_crash.patch: cherrypicked from git.
  * Add golang-golang-x-exp-dev to Build-Depends and -dev's Depends.

 -- Jordi Mallach <jordi@debian.org>  Mon, 24 Apr 2017 15:29:26 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Jordi Mallach <jordi@debian.org>
 Build-Depends: debhelper (>= 10),
                dh-golang,
-               golang-go,
+               golang-any,
                golang-github-burntsushi-toml-dev,
                golang-github-datadog-datadog-go-dev,
                golang-github-armon-go-metrics-dev,
@@ -30,7 +30,8 @@
                golang-github-raintank-met-dev,
                golang-github-tideland-golib-dev,
                golang-github-tinylib-msgp-dev,
-               golang-go-flags-dev
+               golang-go-flags-dev,
+               golang-golang-x-exp-dev
 Build-Depends-Indep: python3-sphinx
 Standards-Version: 3.9.8
 Homepage: https://github.com/ctdk/goiardi
@@ -43,6 +44,7 @@
 Built-Using: ${misc:Built-Using}
 Depends: ${shlibs:Depends},
          ${misc:Depends},
+         golang-any,
          adduser
 Suggests: postgresql | default-mysql-server
 Description: Chef server written in Go
@@ -55,7 +57,34 @@
 Section: devel
 Architecture: all
 Depends: ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         golang-any,
+         golang-github-burntsushi-toml-dev,
+         golang-github-datadog-datadog-go-dev,
+         golang-github-armon-go-metrics-dev,
+         golang-github-aws-aws-sdk-go-dev,
+         golang-github-ctdk-chefcrypto-dev,
+         golang-github-ctdk-go-trie-dev,
+         golang-github-go-ini-ini-dev,
+         golang-github-go-sql-driver-mysql-dev,
+         golang-github-hashicorp-errwrap-dev,
+         golang-github-hashicorp-go-msgpack-dev,
+         golang-github-hashicorp-go-multierror-dev,
+         golang-github-hashicorp-go-version-dev,
+         golang-github-hashicorp-logutils-dev,
+         golang-github-hashicorp-memberlist-dev,
+         golang-github-hashicorp-serf-dev,
+         golang-github-jmespath-go-jmespath-dev,
+         golang-github-lib-pq-dev,
+         golang-github-miekg-dns-dev,
+         golang-github-pborman-uuid-dev,
+         golang-github-philhofer-fwd-dev,
+         golang-github-pmylund-go-cache-dev,
+         golang-github-raintank-met-dev,
+         golang-github-tideland-golib-dev,
+         golang-github-tinylib-msgp-dev,
+         golang-go-flags-dev,
+         golang-golang-x-exp-dev
 Suggests: postgresql | default-mysql-server
 Description: Golang library to interact with a chef server
  Goiardi is an implementation of the Chef server written in Go. It can either
@@ -63,8 +92,8 @@
  and search indexes to and from disk, drawing inspiration from chef-zero, or
  it can use MariaDB/MySQL or PostgreSQL as its storage backend.
  .
- This package contains the goiardi golang libs that are useful to interact with
- a chef server.
+ This package contains the goiardi golang libs that are useful to interact
+ with a chef server.
 
 Package: goiardi-doc
 Section: doc

## goiardi 0.11.4

=== debian/changelog ===
goiardi (0.11.4-1) unstable; urgency=medium

  * New upstream release.
  * Tighten golang requirement to (>= 1.7).
  * Drop goiardi's unneeded golang-any dependency.
  * Tighten cdtk-chefcrypto Build-Dep to >= 0.2.

 -- Jordi Mallach <jordi@debian.org>  Sun, 14 May 2017 00:37:38 +0200

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Uploaders: Jordi Mallach <jordi@debian.org>
 Build-Depends: debhelper (>= 10),
                dh-golang,
-               golang-any,
+               golang-any (>= 1.7),
                golang-github-burntsushi-toml-dev,
                golang-github-datadog-datadog-go-dev,
                golang-github-armon-go-metrics-dev,
                golang-github-aws-aws-sdk-go-dev,
-               golang-github-ctdk-chefcrypto-dev,
+               golang-github-ctdk-chefcrypto-dev (>= 0.2),
                golang-github-ctdk-go-trie-dev,
                golang-github-go-ini-ini-dev,
                golang-github-go-sql-driver-mysql-dev,
@@ -44,7 +44,6 @@
 Built-Using: ${misc:Built-Using}
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         golang-any,
          adduser
 Suggests: postgresql | default-mysql-server
 Description: Chef server written in Go

## goiardi 0.11.5

=== debian/changelog ===
goiardi (0.11.5-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.0.0, with no changes required.

 -- Jordi Mallach <jordi@debian.org>  Tue, 20 Jun 2017 01:47:01 +0200

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
                golang-go-flags-dev,
                golang-golang-x-exp-dev
 Build-Depends-Indep: python3-sphinx
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://github.com/ctdk/goiardi
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/goiardi.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/goiardi.git

## goiardi 0.11.6

=== debian/changelog ===
goiardi (0.11.6-1) unstable; urgency=medium

  [ Jordi Mallach ]
  * New upstream release.
  * Change priority to optional.
  * Bump Standards-Version to 4.1.3.

  [ Paul Tagliamonte ]
  * Remove Built-Using from arch:all -dev package

 -- Jordi Mallach <jordi@debian.org>  Wed, 10 Jan 2018 10:31:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: goiardi
 Section: admin
-Priority: extra
+Priority: optional
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Jordi Mallach <jordi@debian.org>
 Build-Depends: debhelper (>= 10),
@@ -33,7 +33,7 @@
                golang-go-flags-dev,
                golang-golang-x-exp-dev
 Build-Depends-Indep: python3-sphinx
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Homepage: https://github.com/ctdk/goiardi
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/goiardi.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/goiardi.git
@@ -97,7 +97,6 @@
 Package: goiardi-doc
 Section: doc
 Architecture: all
-Built-Using: ${misc:Built-Using}
 Depends: ${misc:Depends}
 Suggests: libjs-sphinxdoc, libjs-mathjax
 Enhances: goiardi

## goiardi 0.11.7

=== debian/changelog ===
goiardi (0.11.7-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file to only look at tags prefixed with 'v'.
  * Bump to debhelper compat v11.
  * Copy JSON files needed by the testsuite to builddir.
  * Fix paths in doc-base and links files.

 -- Jordi Mallach <jordi@debian.org>  Sun, 18 Feb 2018 23:15:17 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Jordi Mallach <jordi@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                dh-golang,
                golang-any (>= 1.7),
                golang-github-burntsushi-toml-dev,

=== debian/watch ===
version=3

 https://github.com/ctdk/goiardi/releases \
 .*/archive/v(\d[\d\.]+)\.tar\.gz

## goiardi 0.11.8

=== debian/changelog ===
goiardi (0.11.8-2) unstable; urgency=medium

  * Do not chown /var/lib/goiardi/lfs contents, generated by the server
    (closes: #904403).

 -- Jordi Mallach <jordi@debian.org>  Fri, 08 Jun 2018 09:41:14 +0200

goiardi (0.11.8-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Jordi Mallach ]
  * New upstream release.
  * Update Standards-Version to 4.1.4.
  * Avoid using chown -R in postinst.

 -- Jordi Mallach <jordi@debian.org>  Tue, 05 Jun 2018 00:36:25 +0200

=== debian/control ===
--- 
+++ 
@@ -33,10 +33,10 @@
                golang-go-flags-dev,
                golang-golang-x-exp-dev
 Build-Depends-Indep: python3-sphinx
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: https://github.com/ctdk/goiardi
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/goiardi.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/goiardi.git
+Vcs-Browser: https://salsa.debian.org/go-team/packages/goiardi
+Vcs-Git: https://salsa.debian.org/go-team/packages/goiardi.git
 XS-Go-Import-Path: github.com/ctdk/goiardi
 
 Package: goiardi

## goiardi 0.11.9

=== debian/changelog ===
goiardi (0.11.9-3) unstable; urgency=medium

  * Add patch from upstream git to add "create_key" to the list
    of valid elements, to fix client creation with newer chef tools.

 -- Jordi Mallach <jordi@debian.org>  Wed, 15 May 2019 11:22:09 +0200

goiardi (0.11.9-2) unstable; urgency=medium

  * Drop Dependency on golang-golang-x-exp-dev from
    golang-github-ctdk-goiardi-dev as well. Doh.

 -- Jordi Mallach <jordi@debian.org>  Tue, 19 Feb 2019 11:14:26 +0100

goiardi (0.11.9-1) unstable; urgency=high

  * New upstream release.
  * Drop Build-Dep on golang-golang-x-exp-dev, which is no longer
    needed. -x-exp is most probably not going to be shipped with buster.
  * Set Rules-Requires-Root to no.
  * Update Standards-Version to 4.3.0.
  * Mark goiardi-doc as M-A: foreign.

 -- Jordi Mallach <jordi@debian.org>  Fri, 15 Feb 2019 13:11:01 +0100

=== debian/control ===
--- 
+++ 
@@ -30,14 +30,14 @@
                golang-github-raintank-met-dev,
                golang-github-tideland-golib-dev,
                golang-github-tinylib-msgp-dev,
-               golang-go-flags-dev,
-               golang-golang-x-exp-dev
+               golang-go-flags-dev
 Build-Depends-Indep: python3-sphinx
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Homepage: https://github.com/ctdk/goiardi
 Vcs-Browser: https://salsa.debian.org/go-team/packages/goiardi
 Vcs-Git: https://salsa.debian.org/go-team/packages/goiardi.git
 XS-Go-Import-Path: github.com/ctdk/goiardi
+Rules-Requires-Root: no
 
 Package: goiardi
 Architecture: any
@@ -82,8 +82,7 @@
          golang-github-raintank-met-dev,
          golang-github-tideland-golib-dev,
          golang-github-tinylib-msgp-dev,
-         golang-go-flags-dev,
-         golang-golang-x-exp-dev
+         golang-go-flags-dev
 Suggests: postgresql | default-mysql-server
 Description: Golang library to interact with a chef server
  Goiardi is an implementation of the Chef server written in Go. It can either
@@ -100,6 +99,7 @@
 Depends: ${misc:Depends}
 Suggests: libjs-sphinxdoc, libjs-mathjax
 Enhances: goiardi
+Multi-Arch: foreign
 Description: Documentation for Goiardi
  Goiardi is an implementation of the Chef server written in Go. It can either
  run entirely in memory with the option to save and load the in-memory data

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export GOPATH := $(CURDIR)/obj-$(DEB_BUILD_GNU_TYPE)
 
 %:
 	dh $@ --buildsystem=golang --with=golang
@@ -12,6 +13,7 @@
 	$(MAKE) -C docs html
 
 override_dh_auto_test:
+	cp -a cookbook/*.json $(GOPATH)/src/github.com/ctdk/goiardi/cookbook
 	dh_auto_test -- -tags novault
 
 override_dh_install:

## goiardi 0.11.10

=== debian/changelog ===
goiardi (0.11.10-1) unstable; urgency=medium

  * New upstream release.
  * Drop cherry-picked patch from 0.11.9-3, no longer needed.
  * Switch to debhelper v12 and use debhelper-compat B-D to declare it.
  * Update Standards-Version to 4.4.1.
  * Move --fail-missing to override_dh_missing.

 -- Jordi Mallach <jordi@debian.org>  Wed, 06 Nov 2019 15:41:53 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Jordi Mallach <jordi@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-golang,
                golang-any (>= 1.7),
                golang-github-burntsushi-toml-dev,
@@ -32,7 +32,7 @@
                golang-github-tinylib-msgp-dev,
                golang-go-flags-dev
 Build-Depends-Indep: python3-sphinx
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/ctdk/goiardi
 Vcs-Browser: https://salsa.debian.org/go-team/packages/goiardi
 Vcs-Git: https://salsa.debian.org/go-team/packages/goiardi.git

=== debian/rules ===
--- 
+++ 
@@ -17,4 +17,7 @@
 	dh_auto_test -- -tags novault
 
 override_dh_install:
-	dh_install --fail-missing --exclude=go-chef
+	dh_install --exclude=go-chef
+
+override_dh_missing:
+	dh_missing --fail-missing

=== debian/watch ===
version=3
 https://github.com/ctdk/goiardi/releases \
 .*/archive/v(\d[\d\.]+)\.tar\.gz
